Subject: bug#1171: #1171 - ns-version-string - Emacs bug report logs

From: Adrian Robert <[email-masked]>
Date: Wed, 22 Oct 2008 18:43:34 -0400

On Oct 22, 2008, at 5:11 PM, Yavor Doganov wrote:

> Adrian Robert wrote:
>>
>> OK, I've changed it to output a version number determined
>> compile-time from the toolkit
>
> Thanks, it looks very good and works fine on GNUstep.  However, there
> seems to be something inconsistent (unrelated to your changes):
>
> In GNU Emacs 23.0.60 (i686-pc-linux-gnu, NS gnustep-gui-0.12.0)
> of 2008-10-22 on gana.yavor.doganov.org
> Windowing system distributor `GNU', version  
> 103.110.117.115.116.101.112.45.103.117.105.45.48.46.49.50.46.48

How do you generate this output?  And do you know what code is  
responsible?

> On GNU and Unix-like systems GNUstep uses X, so I find this very
> strange and of course not informative at all.  I haven't checked why
> `x-server-version' is so bizarre in this case, but probably you know
> already.

x-server-version should be returning identical to ns-version-string  
("gnustep-gui-0.12.0"
  in this case), which it does here.  (Don't be fooled by the name of  
the function, it does not refer to X11.)  If not it is a weird bug.   
If you could put a println in ns_appkit_version() in nsfns.m and see  
if it IS indeed being called and if it IS generating that weird  
string, it would help track it down.

>> nextstep/GNUstep/Emacs.base/Resources/Emacs.desktop
>
> IMHO this is entirely useless for GNUstep, because:
>
> 1) Typically, GNUstep users do not use freedesktop.org-aware
>   environments such as GNOME/KDE/Xfce.
> 2) Even in the rare cases when they do, the .desktop files must be in
>   $(datadir)/applications (or ~/.local/share/applications) in order
>   to be parsed, loaded and to show up in the menus.
> 3) The file is invalid (this can be fixed, certainly, but it is a
>   general problem with all standard GNUstep apps where the pl2link
>   tool generates broken .desktop files and puts them in the wrong
>   place).

OK, I'll think about dropping the file.

thanks,
Adrian